Quassel IRC - Bug #940

Problem with +foo-Channels
03/18/2010 12:09 AM - Phaidros

Status: Resolved Start date: 03/17/2010
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Quassel Core Estimated time: 1.00 hour
Target version: 0.6.2

Version: 0.6-pre 0S: Any
Description

IRCnet servers advertise the following parameters: PREFIX=(ov)@+ CHANTYPES=#&!+

Since PREFIX and CHANTYPES are not disjunctive on those servers, CoreBasicHandler::displayMsg() removes accidently the "+"
from some channel names (e.g. "+linux.de"), leaving "linux.de" as target, which is, of course, not recognized as a valid channel
name. As a result PRIVMSG in such channels are not displayed in the channel's buffer. Still they trigger notifications.

| have modified CoreBasicHandler::displayMsg() to check, if the removal of an alleged prefix leads to an invalid channel name.
Nevertheless, since | do not know the IRC protocol very well, this may brake some other features. A patch is included.

Related issues:
Has duplicate Quassel IRC - Bug #918: Local (&) Channels not working correctl... Closed 02/20/2010

Associated revisions

Revision c238c56e7a5f040522¢c1675a5a630411eaa0da4f - 04/30/2010 06:28 PM - Marcus Eggenberger

fixes #940 - Problem with +foo-Channels

Revision c238c56e - 04/30/2010 06:28 PM - Marcus Eggenberger

fixes #940 - Problem with +foo-Channels

Revision e3aac083923ea6a1f13dd8eb6c90da05536d2baf - 05/11/2010 11:06 PM - Marcus Eggenberger

fixes #940 - Problem with +foo-Channels

Revision e3aac083 - 05/11/2010 11:06 PM - Marcus Eggenberger

fixes #940 - Problem with +foo-Channels

History

#1 - 04/30/2010 08:08 PM - EgS
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset c238c56e7a5f040522¢1675a5a630411eaa0da4f.

#2 - 05/14/2010 11:26 AM - johu

- Target version set to 0.6.2

Files

0001-Modified-CoreBasicHandler-displayMsg-to-remove-a-pre.patch 1.21 KB 03/17/2010 Phaidros
